#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>
#include "photo.h"  // Include your photo.h file here

#define SCREEN_WIDTH 128
#define SCREEN_HEIGHT 64

// Initialize the OLED with I2C address 0x3C and set the pins to 13 (SCL) and 12 (SDA)
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

void setup() {
  // Set I2C pins on the Pico
  Wire.setSCL(13); // GPIO 13 as SCL
  Wire.setSDA(12); // GPIO 12 as SDA
  
  // Start the display
  if (!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) { 
    Serial.println(F("SSD1306 allocation failed"));
    for (;;);
  }
  
  display.clearDisplay();
  display.display();
  delay(1000); // Optional delay to allow the display to initialize

  // Display the image
  displayImage();
}

void displayImage() {
  display.clearDisplay();
  
  // Draw bitmap from photo.h, using 'laxman_kafle' as the image array name
  display.drawBitmap(0, 0, laxman_kafle, SCREEN_WIDTH, SCREEN_HEIGHT, SSD1306_WHITE);
  
  display.display(); // Show the image on the display
}

void loop() {
  // Nothing in loop for this example
}
